org.apache.cassandra.utils.progress.jmx

## Class LegacyJMXProgressSupport

- java.lang.Object
- - org.apache.cassandra.utils.progress.jmx.LegacyJMXProgressSupport

All Implemented Interfaces:
  ProgressListener

    public class LegacyJMXProgressSupport
    extends java.lang.Object
    implements ProgressListener

ProgressListener that translates ProgressEvent to legacy JMX Notification message (backward compatibility support)

### Field Summary

Fields
`protected static java.util.regex.Pattern` `SESSION_FAILED_MATCHER`
`protected static java.util.regex.Pattern` `SESSION_SUCCESS_MATCHER`

### Constructor Summary

Constructors
Constructor and Description
`LegacyJMXProgressSupport(javax.management.NotificationBroadcasterSupport broadcaster, javax.management.ObjectName jmxObjectName)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static int` `getCmd(java.lang.String tag)`
`protected static java.util.Optional<int[]>` `getLegacyUserdata(java.lang.String tag, ProgressEvent event)`
`protected static java.util.Optional<ActiveRepairService.Status>` `getStatus(ProgressEvent event)`
`void` `progress(java.lang.String tag, ProgressEvent event)` Called when some progress is made by progress publisher.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SESSION_FAILED_MATCHER

    protected static final java.util.regex.Pattern SESSION_FAILED_MATCHER

#### SESSION_SUCCESS_MATCHER

    protected static final java.util.regex.Pattern SESSION_SUCCESS_MATCHER

### Constructor Detail

#### LegacyJMXProgressSupport

    public LegacyJMXProgressSupport(javax.management.NotificationBroadcasterSupport broadcaster,
                                    javax.management.ObjectName jmxObjectName)

### Method Detail

#### progress

    public void progress(java.lang.String tag,
                         ProgressEvent event)

Description copied from interface: `ProgressListener`
Called when some progress is made by progress publisher.

Specified by:
  `progress` in interface `ProgressListener`
Parameters:
  `tag` - String that identifies progress event.
  `event` - Current progress

#### getLegacyUserdata

    protected static java.util.Optional<int[]> getLegacyUserdata(java.lang.String tag,
                                                                 ProgressEvent event)

#### getStatus

    protected static java.util.Optional<ActiveRepairService.Status> getStatus(ProgressEvent event)

#### getCmd

    protected static int getCmd(java.lang.String tag)